> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel のペアリング解除

> Channel 会話スコープと Identity のペアリングを解除します。

`DELETE /api/v1/forward/channel_pairings/{pairing_id}`

## Headers

| Header          | Required | Description    |
| --------------- | -------- | -------------- |
| `Authorization` | Yes      | `Bearer <PAT>` |

## Path parameters

| Parameter    | Type   | Required | Description                  |
| ------------ | ------ | -------- | ---------------------------- |
| `pairing_id` | string | Yes      | Pair エンドポイントが返した Pairing ID。 |

## Example request

```bash theme={null}
curl -s -X DELETE 'https://api.qoder.com/api/v1/forward/channel_pairings/pair_019eabc123' \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

**HTTP 200 OK**

```json theme={null}
{
  "id": "pair_019eabc123",
  "deleted": true
}
```

## Response fields

| Field     | Type    | Description            |
| --------- | ------- | ---------------------- |
| `id`      | string  | Pairing ID。            |
| `deleted` | boolean | ペアリング解除に成功した場合 `true`。 |

## Error codes

| HTTP | Type                   | Trigger           |
| ---- | ---------------------- | ----------------- |
| 401  | `authentication_error` | PAT が無効または期限切れです。 |

## Notes

* Pairing が存在しない場合や既に削除されている場合でも `deleted=true` を返します。
* ペアリング解除後、その会話スコープ内の次のメッセージで新しいペアリングコードがトリガーされます。

## Related

<CardGroup cols={2}>
  <Card title="Channel のペアリング" icon="link" href="/ja/cloud-agents/api/forward/channels/pair-channel" />

  <Card title="チャネルの取得" icon="file-lines" href="/ja/cloud-agents/api/forward/channels/get" />
</CardGroup>
